> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salesbricks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get per-subscription revenue by month

> Returns one row per (subscription, currency) with a sparse `entries` list of {month, revenue_type, amount} records. Revenue types are: recurring, overage, pay_as_you_go, one_time, and milestone. Continuation logic is applied server-side for recurring revenue — active subscriptions are forward-filled using their renewable MRR. Paginated at the (subscription, currency) grain via limit/offset.



## OpenAPI

````yaml https://api.salesbricks.com/api/v2/openapi.yaml get /revenue/subscriptions
openapi: 3.0.3
info:
  title: Salesbricks REST API
  version: 2.0.0
  description: API reference for external integrations
servers:
  - url: https://api.salesbricks.com/api/v2
    description: Production
  - url: https://api.staging.salesbricks.com/api/v2
    description: Staging
security:
  - ApiKeyAuth: []
tags:
  - name: Subscriptions
    description: >-
      Operations related to subscription management, including creation,
      updates, and retrieving subscription details. Subscriptions can be
      upgraded to add / remove add-ons by using the POST
      /subscriptions/{subscription_id}/upgrade endpoint and can be recasted for
      replacing the current agreement using the POST
      /subscriptions/{subscription_id}/recast endpoint
  - name: Customers
    description: >-
      Operations related to customer management, including creation, updates,
      and managing customer person objects.
  - name: Invoices
    description: Operations related to subscription's invoicing details.
  - name: Plans
    description: >-
      Operations related to listing and getting plan details including bricks in
      the plan.
  - name: Payment Methods
    description: Operations related to subscription's payment method.
paths:
  /revenue/subscriptions:
    get:
      tags:
        - Revenue
      summary: Get per-subscription revenue by month
      description: >-
        Returns one row per (subscription, currency) with a sparse `entries`
        list of {month, revenue_type, amount} records. Revenue types are:
        recurring, overage, pay_as_you_go, one_time, and milestone. Continuation
        logic is applied server-side for recurring revenue — active
        subscriptions are forward-filled using their renewable MRR. Paginated at
        the (subscription, currency) grain via limit/offset.
      operationId: revenue_subscriptions_retrieve
      parameters:
        - in: query
          name: customer_id
          schema:
            type: string
          description: Filter results to a single customer.
        - in: query
          name: end
          schema:
            type: string
          description: End month in YYYY-MM format (defaults to 11 months after start).
        - in: query
          name: limit
          schema:
            type: integer
          description: Page size (default 100, max 1000).
        - in: query
          name: offset
          schema:
            type: integer
          description: Page offset (default 0).
        - in: query
          name: start
          schema:
            type: string
          description: Start month in YYYY-MM format (defaults to 12 months ago).
        - in: query
          name: subscription_id
          schema:
            type: string
          description: Filter results to a single subscription.
      responses:
        '200':
          description: No response body
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-SALESBRICKS-KEY
      description: API key for authentication

````

## Related topics

- [Attio](/integrations/attio.md)
- [HubSpot](/integrations/hubspot.md)
- [Overview](/integrations/salesforce/overview.md)
